Feature:
  In order to check payroll calculation
  As a payroll user
  I want to test payroll with 50 examples in table

  Scenario Outline: Payroll for employment
    Given Payroll process for payroll period <period>
    And   Employee works in Weekly schedule <schedule> hours
    And   Employee has <absence> hours of absence
    And   Employee Salary is <salary> monthly
    And   <tax payer> Employee is Regular Tax payer
    And   <health payer> Employee is Regular Health insurance payer with <health minim>
    And   <social payer> Employee is Regular Social insurance payer
    And   <pension payer> Employee is Regular Pension savings payer
    And   <tax payer benefit> Employee claims tax benefit on tax payer
    And   Employee claims tax benefit on <tax child benefit> child
    And   <tax disability benefit> Employee claims tax benefit on disability
    And   <tax studying benefit> Employee claims tax benefit on preparing by studying
    And   <health employer> Employee is Employer contribution for Health insurance payer
    And   <social employer> Employee is Employer contribution for Social insurance payer
    When  Payroll process calculate results
    Then  Accounted tax income should be <tax income>
    And   Premium insurance should be <premium insurance>
    And   Tax base should be <tax base>
    And   Accounted income for Health insurance should be <health base>
    And   Accounted income for Social insurance should be <social base>
    And   Contribution to Health insurance should be <health ins>
    And   Contribution to Social insurance should be <social ins>
    And   Tax advance before tax relief on payer should be <tax before>
    And   Tax relief on payer should be <payer relief>
    And   Tax advance after relief on payer should be <tax after A relief>
    And   Tax relief on child should be <child relief>
    And   Tax advance after relief on child should be <tax after C relief>
    And   Tax advance should be <tax advance>
    And   Tax bonus should be <tax bonus>
    And   Gross income should be <gross income>
    And   Netto income should be <netto income>
    Examples: Employment with Tax Advance
      | name                           | period  | schedule | absence | salary       | tax payer | health payer | health minim | social payer | pension payer | tax payer benefit | tax child benefit | tax disability benefit | tax studying benefit | health employer | social employer | tax income   | premium insurance | tax base     | health base  | social base  | health ins | social ins | tax before | payer relief | tax after A relief | child relief | tax after C relief | tax advance | tax bonus | gross income | netto income |
      | 01-PP-Mzda-DanPoj-SlevyZaklad  | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 0        | CZK 945            | CZK 945     | CZK 0     | CZK 15000    | CZK 12405    |
      | 02-PP-Mzda-DanPoj-SlevyDite1   | 01 2013 | 40       | 0       | CZK 15600    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 1                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15600    | CZK 5304          | CZK 21000    | CZK 15600    | CZK 15600    | CZK 702    | CZK 1014   | CZK 3150   | CZK 2070     | CZK 1080           | CZK 1080     | CZK 0              | CZK 0       | CZK 0     | CZK 15600    | CZK 13884    |
      | 03-PP-Mzda-DanPoj-BonusDite1   | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 1                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 945      | CZK 0              | CZK 0       | CZK 172   | CZK 15000    | CZK 13522    |
      | 04-PP-Mzda-DanPoj-BonusDite2   | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 2                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 945      | CZK 0              | CZK 0       | CZK 1289  | CZK 15000    | CZK 14639    |
      | 05-PP-Mzda-DanPoj-MaxBonus     | 01 2013 | 40       | 0       | CZK 10000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 7                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 10000    | CZK 3400          | CZK 13400    | CZK 10000    | CZK 10000    | CZK 450    | CZK 650    | CZK 2010   | CZK 2010     | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 5025  | CZK 10000    | CZK 13925    |
      | 06-PP-Mzda-DanPoj-MinZdrav     | 01 2013 | 40       | 0       | CZK 7800     | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 7800     | CZK 2652          | CZK 10500    | CZK 8000     | CZK 7800     | CZK 378    | CZK 507    | CZK 1575   | CZK 1575     | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 7800     | CZK 6915     |
      | 07-PP-Mzda-DanPoj-MaxZdrav12   | 01 2013 | 40       | 0       | CZK 1809964  | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 1809964  | CZK 473505        | CZK 2283500  | CZK 1809964  | CZK 1242432  | CZK 81449  | CZK 80759  | CZK 461975 | CZK 2070     | CZK 459905         | CZK 0        | CZK 459905         | CZK 459905  | CZK 0     | CZK 1809964  | CZK 1187851  |
      | 08-PP-Mzda-DanPoj-MaxSocial12  | 01 2013 | 40       | 0       | CZK 1206676  | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 1206676  | CZK 410270        | CZK 1617000  | CZK 1206676  | CZK 1206676  | CZK 54301  | CZK 78434  | CZK 319770 | CZK 2070     | CZK 317700         | CZK 0        | CZK 317700         | CZK 317700  | CZK 0     | CZK 1206676  | CZK 756241   |
      | 09-PP-Mzda-DanPoj-MaxSocial13  | 01 2013 | 40       | 0       | CZK 1242532  | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 1242532  | CZK 422436        | CZK 1665000  | CZK 1242532  | CZK 1242432  | CZK 55914  | CZK 80759  | CZK 329480 | CZK 2070     | CZK 327410         | CZK 0        | CZK 327410         | CZK 327410  | CZK 0     | CZK 1242532  | CZK 778449   |
      | 10-PP-Mzda-DanPoj-Neodpr064    | 01 2013 | 40       | 46      | CZK 20000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 0        | CZK 945            | CZK 945     | CZK 0     | CZK 15000    | CZK 12405    |
      | 22-PP-Mzda-DanPoj-SolidarDan   | 01 2013 | 40       | 0       | CZK 104536   | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 104536   | CZK 35542         | CZK 140100   | CZK 104536   | CZK 104536   | CZK 4705   | CZK 6795   | CZK 21085  | CZK 2070     | CZK 19015          | CZK 0        | CZK 19015          | CZK 19015   | CZK 0     | CZK 104536   | CZK 74021    |
      | 23-PP-Mzda-DanPoj-DuchSpor     | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 0        | CZK 945            | CZK 945     | CZK 0     | CZK 15000    | CZK 12405    |
      | 27-PP-Mzda-DanPoj-SlevyInv1    | 01 2013 | 40       | 0       | CZK 20000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | YES:NO:NO              | NO                   | YES             | YES             | CZK 20000    | CZK 6800          | CZK 26800    | CZK 20000    | CZK 20000    | CZK 900    | CZK 1300   | CZK 4020   | CZK 2280     | CZK 1740           | CZK 0        | CZK 1740           | CZK 1740    | CZK 0     | CZK 20000    | CZK 16060    |
      | 28-PP-Mzda-DanPoj-SlevyInv2    | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:YES:NO              | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2490     | CZK 525            | CZK 0        | CZK 525            | CZK 525     | CZK 0     | CZK 15000    | CZK 12825    |
      | 29-PP-Mzda-DanPoj-SlevyInv3    | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:YES:NO              | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2490     | CZK 525            | CZK 0        | CZK 525            | CZK 525     | CZK 0     | CZK 15000    | CZK 12825    |
      | 30-PP-Mzda-DanPoj-SlevyStud    | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | YES                  | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2405     | CZK 610            | CZK 0        | CZK 610            | CZK 610     | CZK 0     | CZK 15000    | CZK 12740    |
      | 31-PP-Mzda-DanPoj-SlevyZakl15  | 01 2013 | 40       | 0       | CZK 15000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 15000    | CZK 5100          | CZK 20100    | CZK 15000    | CZK 15000    | CZK 675    | CZK 975    | CZK 3015   | CZK 2070     | CZK 945            | CZK 0        | CZK 945            | CZK 945     | CZK 0     | CZK 15000    | CZK 12405    |
      | 32-PP-Mzda-DanPoj-SlevyZakl20  | 01 2013 | 40       | 0       | CZK 20000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 20000    | CZK 6800          | CZK 26800    | CZK 20000    | CZK 20000    | CZK 900    | CZK 1300   | CZK 4020   | CZK 2070     | CZK 1950           | CZK 0        | CZK 1950           | CZK 1950    | CZK 0     | CZK 20000    | CZK 15850    |
      | 33-PP-Mzda-DanPoj-SlevyZakl25  | 01 2013 | 40       | 0       | CZK 25000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 25000    | CZK 8500          | CZK 33500    | CZK 25000    | CZK 25000    | CZK 1125   | CZK 1625   | CZK 5025   | CZK 2070     | CZK 2955           | CZK 0        | CZK 2955           | CZK 2955    | CZK 0     | CZK 25000    | CZK 19295    |
      | 34-PP-Mzda-DanPoj-SlevyZakl30  | 01 2013 | 40       | 0       | CZK 30000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 30000    | CZK 10200         | CZK 40200    | CZK 30000    | CZK 30000    | CZK 1350   | CZK 1950   | CZK 6030   | CZK 2070     | CZK 3960           | CZK 0        | CZK 3960           | CZK 3960    | CZK 0     | CZK 30000    | CZK 22740    |
      | 35-PP-Mzda-DanPoj-SlevyZakl35  | 01 2013 | 40       | 0       | CZK 35000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 35000    | CZK 11900         | CZK 46900    | CZK 35000    | CZK 35000    | CZK 1575   | CZK 2275   | CZK 7035   | CZK 2070     | CZK 4965           | CZK 0        | CZK 4965           | CZK 4965    | CZK 0     | CZK 35000    | CZK 26185    |
      | 36-PP-Mzda-DanPoj-SlevyZakl40  | 01 2013 | 40       | 0       | CZK 40000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 40000    | CZK 13600         | CZK 53600    | CZK 40000    | CZK 40000    | CZK 1800   | CZK 2600   | CZK 8040   | CZK 2070     | CZK 5970           | CZK 0        | CZK 5970           | CZK 5970    | CZK 0     | CZK 40000    | CZK 29630    |
      | 37-PP-Mzda-DanPoj-SlevyZakl45  | 01 2013 | 40       | 0       | CZK 45000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 45000    | CZK 15300         | CZK 60300    | CZK 45000    | CZK 45000    | CZK 2025   | CZK 2925   | CZK 9045   | CZK 2070     | CZK 6975           | CZK 0        | CZK 6975           | CZK 6975    | CZK 0     | CZK 45000    | CZK 33075    |
      | 38-PP-Mzda-DanPoj-SlevyZakl50  | 01 2013 | 40       | 0       | CZK 50000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 50000    | CZK 17000         | CZK 67000    | CZK 50000    | CZK 50000    | CZK 2250   | CZK 3250   | CZK 10050  | CZK 2070     | CZK 7980           | CZK 0        | CZK 7980           | CZK 7980    | CZK 0     | CZK 50000    | CZK 36520    |
      | 39-PP-Mzda-DanPoj-SlevyZakl55  | 01 2013 | 40       | 0       | CZK 55000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 55000    | CZK 18700         | CZK 73700    | CZK 55000    | CZK 55000    | CZK 2475   | CZK 3575   | CZK 11055  | CZK 2070     | CZK 8985           | CZK 0        | CZK 8985           | CZK 8985    | CZK 0     | CZK 55000    | CZK 39965    |
      | 40-PP-Mzda-DanPoj-SlevyZakl60  | 01 2013 | 40       | 0       | CZK 60000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 60000    | CZK 20400         | CZK 80400    | CZK 60000    | CZK 60000    | CZK 2700   | CZK 3900   | CZK 12060  | CZK 2070     | CZK 9990           | CZK 0        | CZK 9990           | CZK 9990    | CZK 0     | CZK 60000    | CZK 43410    |
      | 41-PP-Mzda-DanPoj-SlevyZakl65  | 01 2013 | 40       | 0       | CZK 65000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 65000    | CZK 22100         | CZK 87100    | CZK 65000    | CZK 65000    | CZK 2925   | CZK 4225   | CZK 13065  | CZK 2070     | CZK 10995          | CZK 0        | CZK 10995          | CZK 10995   | CZK 0     | CZK 65000    | CZK 46855    |
      | 42-PP-Mzda-DanPoj-SlevyZakl70  | 01 2013 | 40       | 0       | CZK 70000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 70000    | CZK 23800         | CZK 93800    | CZK 70000    | CZK 70000    | CZK 3150   | CZK 4550   | CZK 14070  | CZK 2070     | CZK 12000          | CZK 0        | CZK 12000          | CZK 12000   | CZK 0     | CZK 70000    | CZK 50300    |
      | 43-PP-Mzda-DanPoj-SlevyZakl75  | 01 2013 | 40       | 0       | CZK 75000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 75000    | CZK 25500         | CZK 100500   | CZK 75000    | CZK 75000    | CZK 3375   | CZK 4875   | CZK 15075  | CZK 2070     | CZK 13005          | CZK 0        | CZK 13005          | CZK 13005   | CZK 0     | CZK 75000    | CZK 53745    |
      | 44-PP-Mzda-DanPoj-SlevyZakl80  | 01 2013 | 40       | 0       | CZK 80000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 80000    | CZK 27200         | CZK 107200   | CZK 80000    | CZK 80000    | CZK 3600   | CZK 5200   | CZK 16080  | CZK 2070     | CZK 14010          | CZK 0        | CZK 14010          | CZK 14010   | CZK 0     | CZK 80000    | CZK 57190    |
      | 45-PP-Mzda-DanPoj-SlevyZakl85  | 01 2013 | 40       | 0       | CZK 85000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 85000    | CZK 28900         | CZK 113900   | CZK 85000    | CZK 85000    | CZK 3825   | CZK 5525   | CZK 17085  | CZK 2070     | CZK 15015          | CZK 0        | CZK 15015          | CZK 15015   | CZK 0     | CZK 85000    | CZK 60635    |
      | 46-PP-Mzda-DanPoj-SlevyZakl90  | 01 2013 | 40       | 0       | CZK 90000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 90000    | CZK 30600         | CZK 120600   | CZK 90000    | CZK 90000    | CZK 4050   | CZK 5850   | CZK 18090  | CZK 2070     | CZK 16020          | CZK 0        | CZK 16020          | CZK 16020   | CZK 0     | CZK 90000    | CZK 64080    |
      | 47-PP-Mzda-DanPoj-SlevyZakl95  | 01 2013 | 40       | 0       | CZK 95000    | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 95000    | CZK 32300         | CZK 127300   | CZK 95000    | CZK 95000    | CZK 4275   | CZK 6175   | CZK 19095  | CZK 2070     | CZK 17025          | CZK 0        | CZK 17025          | CZK 17025   | CZK 0     | CZK 95000    | CZK 67525    |
      | 48-PP-Mzda-DanPoj-SlevyZakl100 | 01 2013 | 40       | 0       | CZK 100000   | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 100000   | CZK 34000         | CZK 134000   | CZK 100000   | CZK 100000   | CZK 4500   | CZK 6500   | CZK 20100  | CZK 2070     | CZK 18030          | CZK 0        | CZK 18030          | CZK 18030   | CZK 0     | CZK 100000   | CZK 70970    |
      | 49-PP-Mzda-DanPoj-SlevyZakl105 | 01 2013 | 40       | 0       | CZK 105000   | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 105000   | CZK 35700         | CZK 140700   | CZK 105000   | CZK 105000   | CZK 4725   | CZK 6825   | CZK 21208  | CZK 2070     | CZK 19138          | CZK 0        | CZK 19138          | CZK 19138   | CZK 0     | CZK 105000   | CZK 74312    |
      | 50-PP-Mzda-DanPoj-SlevyZakl110 | 01 2013 | 40       | 0       | CZK 110000   | DECLARE   | YES          | YES          | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 110000   | CZK 37400         | CZK 147400   | CZK 110000   | CZK 110000   | CZK 4950   | CZK 7150   | CZK 22563  | CZK 2070     | CZK 20493          | CZK 0        | CZK 20493          | CZK 20493   | CZK 0     | CZK 110000   | CZK 77407    |
  Examples: Employment with Withholding tax
      | name                           | period  | schedule | absence | salary       | tax payer | health payer | health minim | social payer | pension payer | tax payer benefit | tax child benefit | tax disability benefit | tax studying benefit | health employer | social employer | tax income   | premium insurance | tax base     | health base  | social base  | health ins | social ins | tax before | payer relief | tax after A relief | child relief | tax after C relief | tax advance | tax bonus | gross income | netto income |
      | 12-PP-Mzda-NepodPoj-5000       | 01 2013 | 40       | 0       | CZK 5000     | YES       | YES          | YES          | YES          | NO            | NO                | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 5000     | CZK 1700          | CZK 0        | CZK 8000     | CZK 5000     | CZK 630    | CZK 325    | CZK 0      | CZK 0        | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 5000     | CZK 3040     |
      | 13-PP-Mzda-NepodPoj-5001       | 01 2013 | 40       | 0       | CZK 5001     | YES       | YES          | YES          | YES          | NO            | NO                | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 5001     | CZK 1701          | CZK 6800     | CZK 8000     | CZK 5001     | CZK 630    | CZK 326    | CZK 1020   | CZK 0        | CZK 1020           | CZK 0        | CZK 1020           | CZK 1020    | CZK 0     | CZK 5001     | CZK 3025     |
  Examples: Employment without Minimum Assessment base for Health Insurance
      | name                           | period  | schedule | absence | salary       | tax payer | health payer | health minim | social payer | pension payer | tax payer benefit | tax child benefit | tax disability benefit | tax studying benefit | health employer | social employer | tax income   | premium insurance | tax base     | health base  | social base  | health ins | social ins | tax before | payer relief | tax after A relief | child relief | tax after C relief | tax advance | tax bonus | gross income | netto income |
      | 24-PP-Mzda-DanPoj-Dan099       | 01 2013 | 40       | 0       | CZK 74       | DECLARE   | YES          | NO           | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 74       | CZK 25            | CZK 99       | CZK 74       | CZK 74       | CZK 4      | CZK 5      | CZK 15     | CZK 15       | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 74       | CZK 65       |
      | 25-PP-Mzda-DanPoj-Dan100       | 01 2013 | 40       | 0       | CZK 75       | DECLARE   | YES          | NO           | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 75       | CZK 26            | CZK 200      | CZK 75       | CZK 75       | CZK 4      | CZK 5      | CZK 30     | CZK 30       | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 75       | CZK 66       |
      | 26-PP-Mzda-DanPoj-Dan101       | 01 2013 | 40       | 0       | CZK 100      | DECLARE   | YES          | NO           | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 100      | CZK 34            | CZK 200      | CZK 100      | CZK 100      | CZK 5      | CZK 7      | CZK 30     | CZK 30       | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 100      | CZK 88       |
  Examples: Employment with Absence hours
      | name                           | period  | schedule | absence | salary       | tax payer | health payer | health minim | social payer | pension payer | tax payer benefit | tax child benefit | tax disability benefit | tax studying benefit | health employer | social employer | tax income   | premium insurance | tax base     | health base  | social base  | health ins | social ins | tax before | payer relief | tax after A relief | child relief | tax after C relief | tax advance | tax bonus | gross income | netto income |
      | 11-PP-Mzda-DanPoj-Neodpr184    | 01 2013 | 40       | 184     | CZK 20000    | DECLARE   | YES          | NO           | YES          | NO            | YES               | 0                 | NO:NO:NO               | NO                   | YES             | YES             | CZK 0        | CZK 0             | CZK 0        | CZK 0        | CZK 0        | CZK 0      | CZK 0      | CZK 0      | CZK 0        | CZK 0              | CZK 0        | CZK 0              | CZK 0       | CZK 0     | CZK 0        | CZK 0        |









